# Setup Whatsapp in Android VM

## Create image
`qemu-img create -f qcow2 android.img 4G`

## Boot for installation
```
qemu-system-x86_64 -enable-kvm -vga std \
                   -m 2048 -smp 2 -cpu host \
                   -net nic,model=e1000 -net user \
                   -cdrom <android.iso>\
                   -hda android.img \
                   -boot d \
                   -monitor stdio
```

## Run for usage
```
qemu-system-x86_64 -enable-kvm -vga std \
                   -m 2048 -smp 2 -cpu host \
                   -device e1000,netdev=net0 \
                   -netdev user,id=net0 \
                   -hda android.img \
                   -monitor stdio
```

For optional vnc server add `-vnc localhost:0` or `-vnc 0.0.0.0:0`. The server will be available on port 5900.

For webcam support add `-device usb-ehci,id=ehci -device usb-host,hostbus=1,hostaddr=3`, where `hostbus` and `hostaddr` is from `lsusb`.


## Detailed instructions
- First steps are done on the PC with webcam
- Download android.ios from https://www.android-x86.org/
- Create image
- Boot for installation
- Install android via auto install
- Boot into usage image
- Download Whatsapp APK to android and install it
- Boot with webcam support (may required root)
- Open Whatsapp and register Whatsapp Web
- Scan QR code using webcam e.g. from smartphone
- Shutdown VM copy to server and start again
